MetalTabbedPaneUI.TabbedPaneLayout (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout class
Date: 2016-04-24

javax.swing.plaf.metal

## Class MetalTabbedPaneUI.TabbedPaneLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
  - - javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout

- All Implemented Interfaces:
    LayoutManager
  Enclosing class:
    MetalTabbedPaneUI

      public class MetalTabbedPaneUI.TabbedPaneLayout
      extends BasicTabbedPaneUI.TabbedPaneLayout

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `MetalTabbedPaneUI`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabbedPaneLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
    `protected void` | `padSelectedTab(int tabPlacement, int selectedIndex)`
    `protected void` | `rotateTabRuns(int tabPlacement, int selectedRun)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

      `addLayoutComponent, calculateLayoutInfo, calculateSize, calculateTabRects, layoutContainer, minimumLayoutSize, padTabRun, preferredLayoutSize, preferredTabAreaHeight, preferredTabAreaWidth, removeLayoutComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabbedPaneLayout

          public TabbedPaneLayout()

  - ### Method Detail

    - #### normalizeTabRuns

          protected void normalizeTabRuns(int tabPlacement,
                                          int tabCount,
                                          int start,
                                          int max)

      Overrides:
        `normalizeTabRuns` in class `BasicTabbedPaneUI.TabbedPaneLayout`

    - #### rotateTabRuns

          protected void rotateTabRuns(int tabPlacement,
                                       int selectedRun)

      Overrides:
        `rotateTabRuns` in class `BasicTabbedPaneUI.TabbedPaneLayout`

    - #### padSelectedTab

          protected void padSelectedTab(int tabPlacement,
                                        int selectedIndex)

      Overrides:
        `padSelectedTab` in class `BasicTabbedPaneUI.TabbedPaneLayout`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.